OAuth::fetch
OAuth::getAccessToken
OAuth
PHP Manual

# OAuth::generateSignature

(No version information available, might only be in SVN)

OAuth::generateSignature — Generate a signature

### Description

public string OAuth::generateSignature ( string `$http_method` , string `$url` [, mixed `$extra_parameters` ] )

Generate a signature based on the final HTTP method, URL and a string/array of parameters.

### Parameters

`http_method`

  HTTP method for request

`url`

  URL for request

`extra_parameters`

  String or array of additional parameters.

### Return Values

A string containing the generated signature or `FALSE` on failure

OAuth::fetch
OAuth::getAccessToken
OAuth
PHP Manual